# Class default

Interaction dedicated to measure length.

See our live example: ../examples/measure.html

#### Hierarchy

- Measure
  - default

- Defined in src/interaction/MeasureArea.js:31

#####
Index

### Constructors

constructor

### Properties

continueMsg
displayHelpTooltip_
format
helpTooltipElement_
helpTooltipOverlay_
sketchFeature
startMsg

### Methods

createDrawInteraction
getDrawInteraction
getTooltipElement
handleMeasure
setMap

## Constructors

### constructor

- new default(format: unitPrefix, gettextCatalog: gettextCatalog, options??: MeasureOptions): default

- #### Parameters

  - ##### format: unitPrefix

    The format function

  - ##### gettextCatalog: gettextCatalog

    Gettext catalog.

  - ##### `Optional` options: MeasureOptions = {}

    Options

  #### Returns default

  Overrides ngeoInteractionMeasure.constructor

  - Defined in src/interaction/MeasureArea.js:37

## Properties

### continueMsg

continueMsg: Element

Message to show after the first point is clicked.

Inherited from ngeoInteractionMeasure.continueMsg

- Defined in src/interaction/MeasureArea.js:55

### displayHelpTooltip_

displayHelpTooltip_: boolean

Whether or not to display any tooltip

Inherited from ngeoInteractionMeasure.displayHelpTooltip_

- Defined in src/interaction/Measure.js:155

### format

format: unitPrefix

The format function

- Defined in src/interaction/MeasureArea.js:62

### helpTooltipElement_

helpTooltipElement_: HTMLElement

The help tooltip element.

Inherited from ngeoInteractionMeasure.helpTooltipElement_

- Defined in src/interaction/Measure.js:85
- Defined in src/interaction/Measure.js:398
- Defined in src/interaction/Measure.js:425

### helpTooltipOverlay_

helpTooltipOverlay_: Overlay

Overlay to show the help messages.

Inherited from ngeoInteractionMeasure.helpTooltipOverlay_

- Defined in src/interaction/Measure.js:92
- Defined in src/interaction/Measure.js:400
- Defined in src/interaction/Measure.js:419

### sketchFeature

sketchFeature: Feature<Geometry>

The sketch feature.

Inherited from ngeoInteractionMeasure.sketchFeature

- Defined in src/interaction/Measure.js:123
- Defined in src/interaction/Measure.js:306
- Defined in src/interaction/Measure.js:372

### startMsg

startMsg: Element

The message to show when user is about to start drawing.

Inherited from ngeoInteractionMeasure.startMsg

- Defined in src/interaction/Measure.js:169

## Methods

### createDrawInteraction

- createDrawInteraction(style: StyleLike, source: VectorSource<Polygon>): Draw | default

- ### Returns

  The interaction

  #### Parameters

  - ##### style: StyleLike

    The sketchStyle used for the drawing interaction.

  - ##### source: VectorSource<Polygon>

    Vector source.

  #### Returns Draw | default

  Overrides ngeoInteractionMeasure.createDrawInteraction

  - Defined in src/interaction/MeasureArea.js:71

### getDrawInteraction

- getDrawInteraction(): DrawAzimut | Draw | default

- ### Returns

  The draw interaction.

  #### Returns DrawAzimut | Draw | default

  Inherited from ngeoInteractionMeasure.getDrawInteraction

  - Defined in src/interaction/Measure.js:261

### getTooltipElement

- getTooltipElement(): Element

- Get a reference to the tooltip element.

  ### Returns

  Tooltip Element.

  #### Returns Element

  Inherited from ngeoInteractionMeasure.getTooltipElement

  - Defined in src/interaction/Measure.js:513

### handleMeasure

- handleMeasure(callback: ((arg0: string, arg1: Coordinate) => void)): void

- #### Parameters

  - ##### callback: ((arg0: string, arg1: Coordinate) => void)

    The function to be called.

    - - (arg0: string, arg1: Coordinate): void

      - #### Parameters

        - ##### arg0: string

        - ##### arg1: Coordinate

        #### Returns void

  Overrides ngeoInteractionMeasure.handleMeasure

  - Defined in src/interaction/MeasureArea.js:83

### setMap

- setMap(map: any): void

- #### Parameters

  - ##### map: any

    Map.

  #### Returns void

  Inherited from ngeoInteractionMeasure.setMap

  - Defined in src/interaction/Measure.js:281

Generated using TypeDoc